LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIdlReflection Interface Referencepublished

Interface to reflect types. More...

`import <XIdlReflection.idl;`

Inheritance diagram for XIdlReflection:

## Public Member Functions
com::sun::star::reflection::XIdlClass | forName ([in] string aTypeName)
| Obtaining a reflection interface for a type.
com::sun::star::reflection::XIdlClass | getType ([in] any aObj)
| Obtaining a reflection interface for an object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface to reflect types.

See also
  CoreReflection
  XIdlClass

## Member Function Documentation

## ◆ forName()

com::sun::star::reflection::XIdlClass forName | ( | [in] string | aTypeName | ) |

Obtaining a reflection interface for a type.

You specify the type by its name. If the given type name can not be reflected, then a null-reference is returned.

Parameters

  aTypeName | the type's name

Returns
  reflection interface for the demanded type (or null)

## ◆ getType()

com::sun::star::reflection::XIdlClass getType | ( | [in] any | aObj | ) |

Obtaining a reflection interface for an object.

This method takes the type of the object the any contains into account. If the any contains no object, then a null-reference is returned.

Parameters

  aObj | an object

Returns
  reflection interface of the type of the demanded object (or null)

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XIdlReflection.idl